//////////////////////////////////////////////////////////////////////////////////////////////////////
//	IBM Confidential
//
//	(c) Copyright IBM Corp. 2006 All Rights Reserved.
//
//	The source code for this program is not published or otherwise
//	divested of its trade secrets, irrespective of what has been
//	deposited with the U.S. Copyright Office.
//////////////////////////////////////////////////////////////////////////////////////////////////////

// Associative array containing string resources
var StringTable = new Object;

//////////////////////////////////////////////////////////////////////////////////////////////////////
//
// These are the default string resources for the Browser Enablement Diagnostics Tool
// Localized versions should be named using ISO 630 naming convention where PluginInfo.js is the
// default resource. For example, English resources would be "PluginInfo.en.js", Japanese resourcs
// would be "PluginInfo.ja.js", and if needed locale can be used, so US English would be
// "PluginInfo.en-us.js".
//
// Tags (<"tag name"> <\/"tag name") should not be localized although color attributes can be changed
// if the color has a different meaning in a different locale.
//
//////////////////////////////////////////////////////////////////////////////////////////////////////
StringTable["title"] = 'Diagnosetool für Browserunterstützung';
StringTable["info_tab"] = 'Ergebnisse';
StringTable["problem_tab"] = 'Problem und Lösung';
StringTable["details_tab"] = 'Details (<i>Erweitert<\/i>)';
StringTable["welcome"] = 'Willkommen beim Diagnosetool für Browserunterstützung';
StringTable["run_button"] = 'Hier klicken, um Diagnosetests auszuführen';
StringTable["info_result"] = '<div><h2>Testergebnis für Browserunterstützung';
StringTable["info_result_passed_1"] = '<font style="color: green"> Test bestanden<\/font><\/h2><\/div>\n';
StringTable["info_result_passed_2"] = '<p>Der Browser ist einwandfrei aktiviert.<\/p>';
StringTable["info_result_failed_1"] = '<font style="color: darkred"> Fehler<\/font><\/h2><\/div>';
StringTable["info_result_failed_2"] = '<p>Anweisungen zur Fehlerkorrektur finden Sie auf der Registerkarte "Problem und Lösung".<\/p>'; 
StringTable["info_result_failed_javaenabled"] = '<p>Java ist im Browser nicht aktiviert.<p>';
StringTable["info_result_failed_java"] = '<p>Im Browser wird keine JVM ausgeführt.<\/p>';
StringTable["info_result_failed_ft"] = '<p>Die vom Browser verwendete JVM scheint nicht aktiviert zu sein.<\/p>';
StringTable["info_result_failed_htdi"] = '<p>Der Functional Test-Code wird vom Browser nicht erfolgreich geladen.<\/p>';
StringTable["problem_noproblem"] = '<h2>Es gibt keine zurückzumeldenden Probleme.<\/h2>';
StringTable["problem_javaenabled_header"] = 'Java ist im Browser nicht aktiviert.';
StringTable["problem_javaenabled_content1"] = 'Bei Verwendung von Internet Explorer:'+
				'<ol><li type="i">Rufen Sie <i>Extras > Internetoptionen<\/i> auf.<\/li>'+
				'<li type="i">Wechseln Sie zur Registerkarte <i>Erweitert<\/i>.'+
				'<li type="i">Vergewissern Sie sich, dass eine JVM verwendet wird. Suchen Sie eine JVM in der Liste und vergewissern Sie sich, dass sie ausgewählt ist.<\/li><\/ol>';
StringTable["problem_javaenabled_content2"] = 'Bei Verwendung von Firefox:' +
				'<ol><li type="i">Rufen Sie <i>Edit > Preferences<\/i> auf.<\/li>'+
				'<li type="i">Wählen Sie die Kategorie <i>Advanced<\/i> aus.<\/li>'+
				'<li type="i">Vergewissern Sie sich, dass Java in der Gruppe <i>Features that help interpret web pages<\/i> aktiviert ist.<\/li><\/ol>';
StringTable["problem_javaenabled_content3"] = 'Unter Linux-Betriebssystemen:'+
				'<ol><li type="i">Wechseln Sie in das Verzeichnis <i>plugins<\/i> im Firefox-Installationsverzeichnis.<\/li>'+
				'<i>cd &lt;Firefox>/plugins<\/i>'+
				'<li type="i">Erstellen Sie einen symbolischen Link zu <i>libjavaplugin_oji.so<\/i> im JRE-Installationsverzeichnis.<\/li>'+
				'<i>ln -s &lt;JRE>/bin/libjavaplugin_oji.so<\/i> <br>ODER '+
				'<i> ln -s &lt;JRE>/plugin/i386/ns610/libjavaplugin_oji.so<\/i><\/ol>';
StringTable["problem_nojava_header"] = 'Im Browser wird keine JVM ausgeführt.';	
StringTable["problem_nojava_content1"] = 'Vergewissern Sie sich, dass auf dem System eine JVM installiert ist.';
StringTable["problem_nojava_content2"] = 'Vergewissern Sie sich, dass die JVM dem Browser zugeordnet ist.'+
				'<ol>Unter Windows-Betriebssystemen:'+
				'<li type="i">Rufen Sie im Startmenü <i>Einstellungen > Systemsteuerung<\/i> auf.<\/li>'+
				'<li type="i">Öffnen Sie das Bedienfeld für das <i>Java<\/i>-Plug-in.<\/li>'+
				'<li type="i">Wechseln Sie zur Registerkarte <i>Java<\/i>.<\/li>'+
				'<li type="i">Klicken Sie unter <i>Java Runtime Environment - Einstellungen<\/i> auf die Schaltfläche <i>Anzeigen<\/i>.'+
				'<li type="i">Vergewissern Sie sich, dass <i>Standard-Java für Browser<\/i> für Ihren Browser ausgewählt ist. Klicken Sie ggf. auf das Kontrollkästchen neben Ihrem Browser.<\/li>'+
				'<li type="i">Klicken Sie auf <i>Anwenden<\/i> und schließen Sie die Systemsteuerung.<\/li><\/ol>';
StringTable["problem_ft_header"] = 'Die vom Browser verwendete JVM scheint nicht aktiviert zu sein.';
StringTable["problem_ft_content1"] = 'Öffnen Sie den Enabler. Wählen Sie dazu <i>Konfigurieren > Umgebungen für Tests aktivieren<\/i> aus und klicken Sie auf die Registerkarte <i>Java-Umgebungen<\/i>. Wählen Sie alle aufgelisteten Umgebungen aus und klicken Sie auf <i>Aktivieren<\/i>.';
StringTable["problem_ft_content2"] = 'Alternative unter Windows-Betriebssystemen:<ol>'+
				'<li type="i">Rufen Sie im Startmenü <i>Einstellungen > Systemsteuerung<\/i> auf.<\/li>'+
				'<li type="i">Öffnen Sie das Bedienfeld für das <i>Java<\/i>-Plug-in.<\/li>'+
				'<li type="i">Wechseln Sie zur Registerkarte <i>Erweitert<\/i>.<\/li>'+
				'<li type="i">Wählen Sie unter <i>Java Runtime-Version<\/i> eine Version aus, von der Sie wissen, dass sie aktiviert ist.<\/li>'+
				'<li type="i">Klicken Sie auf <i>Anwenden<\/i> und schließen Sie die Systemsteuerung.<\/li><\/ol>';
StringTable["problem_ft_content3"] = 'Als letzte Möglichkeit unter Windows können Sie einen Registrierungsschlüssel hinzufügen, damit der Browser die standardmäßige Functional Test-JRE verwendet.<ol>'+
				'<li type="i">Wählen Sie im <i>Startmenü<\/i> die Option <i>Ausführen...<\/i> aus.<\/li>'+
				'<li type="i">Geben Sie "regedit" ein und klicken Sie auf <i>OK<\/i>.<\/li>'+
				'<li type="i">Navigieren Sie zu <i>HKEY_LOCAL_MACHINE\\Software\\Rational Software\\Rational Test\\8<\/i>.<\/li>'+
				'<li type="i">Fügen Sie den Schlüssel "Applet Support" mit dem Zeichenfolgewert "0" hinzu.<\/li><\/ol>';
StringTable["problem_htdi_header"] = 'Der Functional Test-Code wird vom Browser nicht erfolgreich geladen.'	
StringTable["problem_htdi_content1"] = 'Versuchen Sie, den Browser im Enabler zu inaktivieren und erneut zu aktivieren.'+
				'<ol><li type="i">Klicken Sie auf <i>Konfigurieren > Umgebungen für Tests aktivieren<\/i>.<\/li>'+
				'<li type="i">Wählen Sie den Browser auf der Registerkarte <i>Web-Browser<\/i> aus und klicken Sie auf <i>Inaktivieren<\/i>.<\/li>'+
				'<li type="i">Wählen Sie den Browser erneut aus und klicken Sie auf <i>Aktivieren<\/i>.<\/li><\/ol>';
StringTable["problem_htdi_content2"] = 'Bei Verwendung von Internet Explorer:'+
				'<ol><li type="i">Rufen Sie <i>Extras > Internetoptionen<\/i> auf.<\/li>'+
				'<li type="i">Wechseln Sie zur Registerkarte <i>Erweitert<\/i>.'+
				'<li type="i">Vergewissern Sie sich, dass <i>Browsererweiterungen von Drittanbietern aktivieren<\/i> aktiviert ist.<\/li><\/ol>'+
				'<ol><b>Option aktiviert...<\/b>'+
				'<li type="i">Suchen Sie die Datei "RTXIEEnabler.dll" im Functional Test-Installationsverzeichnis. Wenn die Standardinstallationsoptionen verwendet wurden, lautet das Verzeichnis <code>c:\\Programme\\IBM\\SDP\\FunctionalTester\\bin\\<\/code>.<\/li>'+
				'<li type="i">Navigieren Sie in einer Befehlsshell (cmd.exe) in das Verzeichnis, das "RTXIEEnabler.dll" enthält.<\/li>'+
				'<li type="i">Geben Sie "regsvr32 RTXIEEnabler.dll" ein.<\/li><\/ol>';
StringTable["details_java_enabled_browser"] = '<i>Java im Browser aktiviert = <\/i>';				
StringTable["details_java_enabled_header"] = 'Java aktiviert';
StringTable["details_bootstrap_loaded"] = '<i>Bootstrap geladen = <\/i>';
StringTable["details_java2tdi_loaded"] = '<i>Java2TestDomainImplementation geladen = <\/i>';
StringTable["details_htdi_loaded"] = '<i>HtmlTestDomainImplementation geladen = <\/i>';
StringTable["details_htdi_name"] = '<i>HtmlTestDomainImplementation-Name = <\/i>';
StringTable["details_enablement_header"] = 'Allgemeine Unterstützungsinformationen';
StringTable["details_jvm_version"] = '<i>JVM-Version = <\/i>';
StringTable["details_jvm_vendor"] = '<i>JVM-Hersteller = <\/i>';
StringTable["details_jvm_header"] = 'JVM-Informationen';
//
//FLEX TEST STRING
//
// For Future
StringTable["flex_header_enablement_test_info"]	 = 'Unterstützungstest für Flex-Umgebung';
StringTable["flex_prereq_failed_header"]		 = 'Unterstützungstest für Flex-Anwendung nicht möglich';
StringTable["flex_prereq_failed_detail"]		 = 'Überprüfen Sie, ob Browser und/oder JVM einwandfrei aktiviert sind. Dies ist eine Voraussetzung, um die Unterstützung der Flex-Anwendung testen zu können.';
StringTable["flex_test_header"]					 = 'Die folgenden Einstellungen wurden überprüft. Die Ergebnisse sind unten aufgeführt.';
StringTable["flex_test_info"]					 = '<div><h2>Browsereinstellungen für Flex - Ergebnisse: ';
StringTable["flex_test_failed"]					 = '<font style="Color: darkred">Fehler<\/font><\/div><\/h2>';
StringTable["flex_test_passed"]					 = '<font style="Color: green">Test bestanden<\/font><\/div><\/h2>';
StringTable["flex_test_helpstring1"] 			 = '<p>Der Browser scheint zum Testen der Flex-Anwendung nicht ordnungsgemäß konfiguriert zu sein. Überprüfen Sie die folgenden Browsereinstellungen: <\/p>';
StringTable["flex_test_success_header"] 		 = '<p><font style="Color: green">Die Browsereinstellungen scheinen zum Testen der Flex-Anwendung ordnungsgemäß konfiguriert zu sein.<\/p><\/font>';
StringTable["flex_test_success_noprob"] 		 = 'Keine zurückzumeldenden Probleme.';
StringTable["flex_test_localserver"] 			 = 'Web-Server auf dem lokalen Host konfiguriert';
StringTable["flex_test_remoteserver"]			 = 'Web-Server auf einem fernen System konfiguriert';

// Current
StringTable["flex_header_enablement_info"]		 = 'Umgebungsanforderungen für Flex-Test';
StringTable["flex_test_general_info"]			 = '<br/><h3>Überprüfen Sie die folgenden Einstellungen, um Flex-Anwendungen zu testen:<\/h3>';
StringTable["flex_test_browser_header"] 		 = 'Browserunterstützung testen';
StringTable["flex_test_browser_info"]			 = 'Der Browserunterstützungstest muss bestanden werden, d. h., Browser und zugehörige JVM müssen aktiviert sein.<br>';
StringTable["flex_test_compiletime_header"] 	 = 'Für Unterstützung zur Kompilierzeit';
StringTable["flex_test_compiletime_header_ex1"]  = 'Anwendung in einem lokalen Verzeichnis des Systems vorhanden';
StringTable["flex_test_compiletime_info"]		 = 'Führen Sie die folgenden Schritte aus, um die zu testende Flex-Anwendung zum vertrauenswürdigen Flash-Verzeichnis hinzuzufügen: '+
							   '<ol>'+
							   '<li type = "i">Erstellen Sie in <b><i>C:\\WINDOWS\\system32\\Macromed\\Flash<\/i><\/b> einen Ordner namens <b>FlashPlayerTrust<\/b>. '+
							   '<li type = "i">Erstellen Sie im zuvor erstellten Ordner <b>FlashPlayerTrust<\/b> eine Datei mit dem Namen <b>Flex<\/b> ohne Erweiterung.<\/li>'+
							   '<li type = "i">Geben Sie den Verzeichnispfad der Flex-Anwendung in die erstellte <b>Flex<\/b>-Datei ein. Geben Sie beispielsweise <b>C:\\Test<\/b> als Pfad in der Datei <b>Flex<\/b> ein, wenn sich die Flex-Anwendung im Verzeichnis <b>"C:\\Test"<\/b> befindet.<\/li>'+
							   '<li type = "i">Speichern Sie die Datei.<\/li>';
StringTable["flex_test_ie_header"]			 	= 'Bei Internet Explorer';
StringTable["flex_test_ie_header_ex1"]			= 'Anwendungen für Laden zur Ausführungszeit konfiguriert oder auf einem Server gehostet';
StringTable["flex_test_ie_info"]			 	= 'Konfigurieren Sie Internet Explorer wie folgt:'+
							   '<ol><b>URL der Flex-Anwendung zur Zone "Lokales Intranet" hinzufügen...<\/b>' +
							   '<ol><li type = "i">Rufen Sie <i><b>Extras > Internetoptionen<\/b><\/i> auf.<\/li>'+
							   '<li type="i">Wechseln Sie zur Registerkarte <i><b>Sicherheit<\/b><\/i>.<\/li>'+
							   '<li type="i">Wählen Sie die Zone <i><b>Lokales Intranet<\/b><\/i> aus.<\/li>'+
							   '<li type="i">Klicken Sie auf die Schaltflächen <i><b>Sites > Erweitert<\/b><\/i>.<\/li>'+
							   '<li type="i">Geben Sie im Feld <i><b>Diese Website zur Zone hinzufügen<\/b><\/i> die URL der Flex-Anwendung ein.<\/li>'+
							   '<li type="i">Klicken Sie auf <i><b>Hinzufügen<\/b><\/i> und dann auf <i><b>OK<\/b><\/i>.<\/li><\/ol>'+
							   '<br>'+
							   '<b>ActiveX-Steuerelemente zulassen...<\/b>'+
							   '<ol><li type="i">Wählen Sie die Zone <i><b>Lokales Intranet<\/b><\/i> aus.<\/li>'+
							   '<li type="i">Klicken Sie auf <i><b>Stufe anpassen<\/b><\/i>.<\/li>'+
							   '<li type="i">Wählen Sie in der Dropdown-Liste <i><b>Zurücksetzen zu:<\/b><\/i> die Option <i><b>Niedrig<\/b><\/i> aus.<\/li>'+
							   '<li type="i">Wählen Sie im Fensterbereich <i><b>Einstellungen<\/b><\/i> für <i><b>ActiveX-Steuerelemente initialisieren und ausführen, die nicht sicher sind<\/b><\/i> die Option <i><b>Aktivieren<\/b><\/i> aus.<\/li>'+
							   '<li type="i">Klicken Sie auf <i><b>OK<\/b><\/i> und wiederum auf <i><b>OK<\/b><\/i>, um die Sicherheitseinstellungen zu speichern und das Fenster "Internetoptionen" zu schließen.<\/li><\/ol>';
StringTable["flex_test_ff_header"]			 	= 'Bei Firefox';
StringTable["flex_test_ff_header_ex1"] 			= 'Unterstützung sowohl zur Kompilierzeit als auch zur Ausführungszeit';
StringTable["flex_test_ff_info"]  			 	= 'Konfigurieren Sie Firefox wie folgt:'+
							   '<ol><li type = "i">Aktivieren Sie die Zugriffsrechte, indem Sie die Java-Scriptdateien <b>user.js<\/b> und <b>prefs.js<\/b> implementieren.<\/li>'+
							   '<li type = "i">Diese Dateien befinden sich im Ordner <b><i> Flex<\/i><\/b> des RFT-Installationsverzeichnisses (standardmäßig lautet die Speicherposition <b><i>"C:\\Programme\\IBM\\SDP\\FunctionalTester\\Flex"<\/i><\/b>).<\/li>'+
							   '<li type = "i">Kopieren Sie diese Dateien in das Verzeichnis <b><\/i>"C:\\Dokumente und Einstellungen\\&lt;benutzername&gt;\\Application Data\\Mozilla\\Firefox\\Profiles\\zpy0wokq.default"<\/i><\/b>.<\/li><\/ol>'+
							   '<font style="Color : red">HINWEIS: Der Name "zpy0wokq.default" hängt vom jeweiligen Computer ab.<\/font>';

