//////////////////////////////////////////////////////////////////////////////////////////////////////
//	IBM Confidential
//
//	(c) Copyright IBM Corp. 2006 All Rights Reserved.
//
//	The source code for this program is not published or otherwise
//	divested of its trade secrets, irrespective of what has been
//	deposited with the U.S. Copyright Office.
//////////////////////////////////////////////////////////////////////////////////////////////////////

// Associative array containing string resources
var StringTable = new Object;

//////////////////////////////////////////////////////////////////////////////////////////////////////
//
// These are the default string resources for the Browser Enablement Diagnostics Tool
// Localized versions should be named using ISO 630 naming convention where PluginInfo.js is the
// default resource. For example, English resources would be "PluginInfo.en.js", Japanese resourcs
// would be "PluginInfo.ja.js", and if needed locale can be used, so US English would be
// "PluginInfo.en-us.js".
//
// Tags (<"tag name"> <\/"tag name") should not be localized although color attributes can be changed 
// if the color has a different meaning in a different locale.
//
//////////////////////////////////////////////////////////////////////////////////////////////////////
StringTable["title"] = 'Herramienta de diagnóstico Habilitación de navegador';
StringTable["info_tab"] = 'Resultados';
StringTable["problem_tab"] = 'Problema y solución';
StringTable["details_tab"] = 'Detalles (<i>avanzado<\/i>)';
StringTable["welcome"] = 'Bienvenido a la Herramienta de diagnóstico Habilitación de navegador';
StringTable["run_button"] = 'Pulse aquí para ejecutar las pruebas de diagnósticos';
StringTable["info_result"] = '<div><h2>Resultado de prueba de habilitación de navegador';
StringTable["info_result_passed_1"] = '<font style="color: green"> Satisfactoria<\/font><\/h2><\/div>\n';
StringTable["info_result_passed_2"] = '<p>El navegador está correctamente habilitado.<\/p>';
StringTable["info_result_failed_1"] = '<font style="color: darkred"> Anomalía<\/font><\/h2><\/div>';
StringTable["info_result_failed_2"] = '<p>Consulte el separador Problema y solución para obtener instrucciones para corregir el problema.<\/p>'; 
StringTable["info_result_failed_javaenabled"] = '<p>Java no está habilitado en el navegador. <p>';
StringTable["info_result_failed_java"] = '<p>No hay una JVM en ejecución en el navegador.<\/p>';
StringTable["info_result_failed_ft"] = '<p>La JVM que el navegador utiliza no parece que esté habilitada.<\/p>';
StringTable["info_result_failed_htdi"] = '<p>El navegador no cargó de forma satisfactoria el código de Functional Test. <\/p>';
StringTable["problem_noproblem"] = '<h2>No hay problemas de los que informar.<\/h2>';
StringTable["problem_javaenabled_header"] = 'Java no está habilitado en el navegador. ';
StringTable["problem_javaenabled_content1"] = 'Si está utilizando Internet Explorer:'+
				'<ol><li type="i">Vaya al menú <i>Herramientas > Opciones de Internet<\/i>.<\/li>'+
				'<li type="i">Vaya al separador <i>Avanzado<\/i>. '+
				'<li type="i">Asegúrese de que está utilizando una JVM. Encuentre una JVM en la lista y asegúrese de que está seleccionada. <\/li><\/ol>';
StringTable["problem_javaenabled_content2"] = 'Si está utilizando Firefox:' +
				'<ol><li type="i">Vaya al menú <i>Editar > Preferencias<\/i>. <\/li>'+
				'<li type="i">Seleccione la categoría <i>Avanzada<\/i>. <\/li>'+
				'<li type="i">En el grupo <i>Características que ayudan a interpretar páginas web<\/i> asegúrese de que Java está habilitado.<\/li><\/ol>';
StringTable["problem_javaenabled_content3"] = 'En sistemas operativos Linux:'+
				'<ol><li type="i">Vaya al directorio <i>plugins<\/i> bajo el directorio de instalación de Firefox.<\/li>'+
				'<i>cd &lt;Firefox>/plugins<\/i>'+
				'<li type="i">Cree un enlace simbólico a <i>libjavaplugin_oji.so<\/i> que se puede encontrar debajo del directorio de instalación de JRE.<\/li>'+
				'<i>ln -s &lt;JRE>/bin/libjavaplugin_oji.so<\/i> <br>O BIEN'+
				'<i> ln -s &lt;JRE>/plugin/i386/ns610/libjavaplugin_oji.so<\/i><\/ol>';
StringTable["problem_nojava_header"] = 'No hay una JVM en ejecución en su navegador.';	
StringTable["problem_nojava_content1"] = 'Asegúrese de que tiene una JVM instalada en su máquina.';
StringTable["problem_nojava_content2"] = 'Asegúrese de que la JVM esté asociada con el navegador. '+
				'<ol>En sistemas operativos Windows:'+
				'<li type="i">Vaya a <i>Configuración > Panel de control<\/i> desde el menú Inicio.<\/li>'+
				'<li type="i">Abra el <i>Panel de control del plug-in de Java<\/i>.<\/li>'+
				'<li type="i">Vaya al separador <i>Java<\/i>. <\/li>'+
				'<li type="i">Pulse el botón <i>Ver<\/i> de <i>Configuración de Java Applet Runtime<\/i>'+
				'<li type="i">Asegúrese de que <i>El plug-in de Java se utilizará como el entorno de ejecución de Java predeterminado<\/i> esté seleccionado para su navegador. Pulse el recuadro de selección junto a su navegador. <\/li>'+
				'<li type="i">Pulse <i>Aplicar<\/i> y cierre el Panel de control.<\/li><\/ol>';
StringTable["problem_ft_header"] = 'La JVM que el navegador utiliza no parece que esté habilitada.';
StringTable["problem_ft_content1"] = 'Abra el Habilitador pulsando <i>Configurar > Habilitar entornos para prueba<\/i> y pulse el separador <i>Entornos Java<\/i>. Seleccione todos los entornos de la lista y pulse <i>Habilitar<\/i>.';
StringTable["problem_ft_content2"] = 'Otra posibilidad en sistemas operativos Windows:<ol>'+
				'<li type="i">Vaya a <i>Configuración > Panel de control<\/i> desde el menú Inicio.<\/li>'+
				'<li type="i">Abra el <i>Panel de control del plug-in de Java<\/i>.<\/li>'+
				'<li type="i">Vaya al separador <i>Avanzado<\/i>.<\/li> '+
				'<li type="i">En <i>Java Runtime Environment<\/i> elija la versión que tiene que habilitar. <\/li>'+
				'<li type="i">Pulse <i>Aplicar<\/i> y cierre el Panel de control.<\/li><\/ol>';
StringTable["problem_ft_content3"] = 'Como último recurso, en Windows se puede añadir una clave de registro para que el navegador utilice el Functional Test JRE predeterminado.<ol>'+
				'<li type="i">Desde el menú <i>Inicio<\/i> seleccione <i>Ejecutar...<\/i><\/li>'+
				'<li type="i">Escriba "regedit" y pulse <i>Aceptar<\/i>.<\/li>'+
				'<li type="i">Vaya a <i>HKEY_LOCAL_MACHINE\\Software\\Rational Software\\Rational Test\\8<\/i>.<\/li>'+
				'<li type="i">Añada una serie "Applet Support" con el valor de serie "0".<\/li><\/ol>';
StringTable["problem_htdi_header"] = 'El navegador no cargó de forma satisfactoria el código de Functional Test. '	
StringTable["problem_htdi_content1"] = 'Intente inhabilitar y volver habilitar el navegador en el Habilitador. '+
				'<ol><li type="i">Pulse <i>Configurar > Habilitar entornos para prueba<\/i>.<\/li>'+
				'<li type="i">En el separador <i>Navegadores web<\/i>, seleccione el navegador y pulse <i>Inhabilitar<\/i>.<\/li>'+
				'<li type="i">Seleccione el navegador de nuevo y pulse <i>Habilitar<\/i>.<\/li><\/ol>';
StringTable["problem_htdi_content2"] = 'Si está utilizando Internet Explorer:'+
				'<ol><li type="i">Vaya al menú <i>Herramientas > Opciones de Internet<\/i>.<\/li>'+
				'<li type="i">Vaya al separador <i>Avanzado<\/i>. '+
				'<li type="i">Asegúrese de que <i>Habilitar extensiones de explorador de terceros<\/i> está seleccionado.<\/li><\/ol>'+
				'<ol><b>Si Habilitado...<\/b>'+
				'<li type="i">Busque RTXIEEnabler.dll en el directorio de instalación de Functional Test. Si optó por las opciones de instalación predeterminadas, debería ser <code>c:\\Archivos de programa\\IBM\\SDP\\FunctionalTester\\bin\\<\/code>.<\/li>'+
				'<li type="i">Desde el shell de mandatos (cmd.exe) navegue hasta el directorio que contiene RTXIEEnabler.dll.<\/li>'+
				'<li type="i">Escriba "regsvr32 RTXIEEnabler.dll".<\/li><\/ol>';
StringTable["details_java_enabled_browser"] = '<i>Java habilitado en el navegador = <\/i>';				
StringTable["details_java_enabled_header"] = 'Java habilitado';
StringTable["details_bootstrap_loaded"] = '<i>Rutina de carga cargada = <\/i>';
StringTable["details_java2tdi_loaded"] = '<i>Java2TestDomainImplementation cargado = <\/i>';
StringTable["details_htdi_loaded"] = '<i>HtmlTestDomainImplementation cargado = <\/i>';
StringTable["details_htdi_name"] = '<i>Nombre de HtmlTestDomainImplementation = <\/i>';
StringTable["details_enablement_header"] = 'Información general de habilitación';
StringTable["details_jvm_version"] = '<i>Versión de JVM = <\/i>';
StringTable["details_jvm_vendor"] = '<i>Proveedor de JVM = <\/i>';
StringTable["details_jvm_header"] = 'Información de JVM';
//
//FLEX TEST STRING
//
// For Future
StringTable["flex_header_enablement_test_info"]	 = 'Prueba de habilitación del entorno Flex';
StringTable["flex_prereq_failed_header"]		 = 'No es posible realizar la prueba de habilitación de aplicaciones Flex';
StringTable["flex_prereq_failed_detail"]		 = 'Verifique si el navegador y/o JVM están habilitados correctamente. Se trata de un requisito previo para probar la habilitación de aplicaciones Flex';
StringTable["flex_test_header"]					 = 'Se verificaron los siguientes valores. Los resultados se muestran a continuación';
StringTable["flex_test_info"]					 = '<div><h2>Valores de navegador para los resultados para Flex: ';
StringTable["flex_test_failed"]					 = '<font style="Color: darkred"> Anomalía<\/font><\/div><\/h2>';
StringTable["flex_test_passed"]					 = '<font style="Color: green">Satisfactorio<\/font><\/div><\/h2>';
StringTable["flex_test_helpstring1"] 			 = '<p>No parece que el navegador esté configurado correctamente para probar aplicaciones Flex. Verifique los siguientes valores del navegador: <\/p>';
StringTable["flex_test_success_header"] 		 = '<p><font style="Color: green">  Los valores del navegador aparecen configurados correctamente para probar aplicaciones Flex <\/p><\/font>';
StringTable["flex_test_success_noprob"] 		 = 'No hay problemas de los que informar.';
StringTable["flex_test_localserver"] 			 = 'Para servidor web configurado en host local';
StringTable["flex_test_remoteserver"]			 = 'Para servidor web configurado en host remoto';

// Current
StringTable["flex_header_enablement_info"]		 = 'Requisitos del entorno de prueba de Flex';
StringTable["flex_test_general_info"]			 = '<br/><h3>Con el propósito de probar aplicaciones Flex, verifique los siguientes valores:<\/h3>';
StringTable["flex_test_browser_header"] 		 = 'Prueba de habilitación de navegador';
StringTable["flex_test_browser_info"]			 = 'La prueba de habilitación del navegador debe, por ejemplo, pasar que tanto el navegador como la JVM están habilitados.<br>';
StringTable["flex_test_compiletime_header"] 	 = 'Para habilitación de tiempo de compilación';
StringTable["flex_test_compiletime_header_ex1"]  = 'Aplicación existente en un directorio local del sistema';
StringTable["flex_test_compiletime_info"]		 = 'Añada la aplicación Flex bajo prueba al directorio fiable de Flash siguiendo los siguientes pasos: '+
							   '<ol>'+
							   '<li type = "i">Cree una carpeta denominada <b>FlashPlayerTrust<\/b> en <b><i>C:\\WINDOWS\\system32\\Macromed\\Flash .<\/i><\/b>'+
							   '<li type = "i">Cree un archivo denominado <b>Flex<\/b>, sin ninguna extensión en la carpeta <b>FlashPlayerTrust<\/b> creada con anterioridad. <\/li>'+
							   '<li type = "i">Especifique la vía de acceso al directorio de la aplicación Flex en el archivo <b>Flex<\/b> creado con anterioridad. Por ejemplo, si la aplicación Flex está en el directorio <b>"C:\\Test"<\/b>, especifique la vía de acceso en el archivo <b>Flex<\/b>  como <b>C:\\Test<\/b><\/li>'+
							   '<li type = "i"> Guarde el archivo. <\/li>';
StringTable["flex_test_ie_header"]			 	= 'Para Internet Explorer';
StringTable["flex_test_ie_header_ex1"]			= 'Aplicaciones configuradas para carga en tiempo de ejecución o alojadas en un servidor';
StringTable["flex_test_ie_info"]			 	= 'Configure Internet Explorer tal como se indica a continuación: '+
							   '<ol><b>Añada el URL de la aplicación Flex a la zona de intranet local...<\/b>' +
							   '<ol><li type = "i"> Vaya a <i><b>Herramientas > Opciones de internet<\/b><\/i><\/li>'+
							   '<li type="i"> Vaya al separador <i><b>Seguridad<\/b><\/i>. <\/li>'+
							   '<li type="i"> Seleccione la zona <i><b>Intranet local<\/b> <\/i>.<\/li>'+
							   '<li type="i"> Pulse en los botones <i><b>Sitios > Opciones avanzadas<\/b><\/i>. <\/li>'+
							   '<li type="i"> En el campo <i><b>Agregar este sitio web a la zona de<\/b><\/i>, especifique el URL de la aplicación Flex.<\/li>'+
							   '<li type="i"> Pulse <i><b>Agregar<\/b><\/i> y, a continuación, pulse <i><b>Aceptar<\/b><\/i>.<\/li><\/ol>'+
							   '<br>'+
							   '<b>Permitir controles ActiveX...<\/b>'+
							   '<ol><li type="i"> Seleccione la zona <i><b>Intranet local<\/b><\/i>.<\/li>'+
							   '<li type="i"> Pulse <i><b>Nivel personalizado<\/b><\/i>.<\/li>'+
							   '<li type="i"> En el desplegable <i><b>Restablecer a:<\/b><\/i> seleccione <i><b>Medio bajo<\/b><\/i>.<\/li>'+
							   '<li type="i"> En el panel <i><b>Configuración<\/b><\/i> seleccione <i><b>Habilitar<\/b> <\/i> para <i><b>Inicializar y generar scripts de controles ActiveX no marcados como seguros para scripts<\/b><\/i> <\/li>'+
							   '<li type="i"> Pulse <i><b>Aceptar<\/b><\/i> y luego <i><b>Aceptar<\/b><\/i> de nuevo para guardar los valores de seguridad y cerrar la ventana Opciones de internet<\/li><\/ol>';
StringTable["flex_test_ff_header"]			 	= 'Para el navegador Firefox';
StringTable["flex_test_ff_header_ex1"] 			= 'tanto la habilitación de tiempo de compilación como la habilitación de tiempo de ejecución';
StringTable["flex_test_ff_info"]  			 	= 'Configure Firefox tal como se indica a continuación: '+
							   '<ol><li type = "i">Habilite los privilegios desplegando los archivos de script Java: <b>user.js<\/b> y <b>prefs.js<\/b><\/li>'+
							   '<li type = "i">Estos archivos están disponibles en la carpeta <b><i>Flex<\/i><\/b> del directorio de instalación de RFT (de forma predeterminada la ubicación es <b><i>"C:\\Archivos de programa \\IBM\\SDP\\FunctionalTester\\Flex"<\/i><\/b>).<\/li>'+
							   '<li type = "i">Copie estos archivos al directorio <b><\/i>"C:\\Documents and Settings\\&lt;nombre_usuario&gt;\\Application Data\\Mozilla\\Firefox\\Profiles\\zpy0wokq.default"<\/i><\/b>.  <\/li><\/ol>'+
							   '<font style="Color : red">NOTA: el nombre "zpy0wokq.default" puede variar según el sistema.<\/font>';

