//////////////////////////////////////////////////////////////////////////////////////////////////////
//	IBM Confidential
//
//	(c) Copyright IBM Corp. 2006 All Rights Reserved.
//
//	The source code for this program is not published or otherwise
//	divested of its trade secrets, irrespective of what has been
//	deposited with the U.S. Copyright Office.
//////////////////////////////////////////////////////////////////////////////////////////////////////

// Associative array containing string resources
var StringTable = new Object;

//////////////////////////////////////////////////////////////////////////////////////////////////////
//
// These are the default string resources for the Browser Enablement Diagnostics Tool
// Localized versions should be named using ISO 630 naming convention where PluginInfo.js is the
// default resource. For example, English resources would be "PluginInfo.en.js", Japanese resourcs
// would be "PluginInfo.ja.js", and if needed locale can be used, so US English would be
// "PluginInfo.en-us.js".
//
// Tags (<"tag name"> <\/"tag name") should not be localized although color attributes can be changed 
// if the color has a different meaning in a different locale.
//
//////////////////////////////////////////////////////////////////////////////////////////////////////
StringTable["title"] = '브라우저 사용 진단 도구';
StringTable["info_tab"] = '결과';
StringTable["problem_tab"] = '문제점 및 솔루션';
StringTable["details_tab"] = '세부사항(<i>도구<\/i>)';
StringTable["welcome"] = '브라우저 사용 진단 도구 시작';
StringTable["run_button"] = '진단 테스트를 실행하려면 여기를 클릭하십시오. ';
StringTable["info_result"] = '<div><h2>브라우저 사용 테스트 결과:';
StringTable["info_result_passed_1"] = '<font style="color: green"> 패스되었습니다!<\/font><\/h2><\/div>\n';
StringTable["info_result_passed_2"] = '<p>브라우저를 사용할 수 있습니다.<\/p>';
StringTable["info_result_failed_1"] = '<font style="color: darkred"> 실패했습니다!<\/font><\/h2><\/div>';
StringTable["info_result_failed_2"] = '<p>문제점 수정에 대한 지시사항은 문제점 및 솔루션 탭을 참조하십시오.<\/p>'; 
StringTable["info_result_failed_javaenabled"] = '<p>브라우저에서 Java를 사용할 수 없습니다.<p>';
StringTable["info_result_failed_java"] = '<p>브라우저에서 JVM이 실행 중이 아닙니다.<\/p>';
StringTable["info_result_failed_ft"] = '<p>브라우저에서 사용되는 JVM이 사용으로 표시되지 않습니다.<\/p>';
StringTable["info_result_failed_htdi"] = '<p>브라우저에서 Functional Test 코드를 로드하지 못했습니다.<\/p>';
StringTable["problem_noproblem"] = '<h2>보고할 문제점이 없습니다.<\/h2>';
StringTable["problem_javaenabled_header"] = '브라우저에서 Java를 사용할 수 없습니다.';
StringTable["problem_javaenabled_content1"] = 'Internet Explorer를 사용하는 경우:'+
				'<ol><li type="i"><i>도구 > 인터넷 옵션<\/i> 메뉴로 이동하십시오.<\/li>'+
				'<li type="i"><i>고급<\/i> 탭으로 이동하십시오. '+
				'<li type="i">JVM을 사용하고 있는지 확인하십시오. 목록에서 JVM을 찾은 후 선택되어 있는지 확인하십시오.<\/li><\/ol>';
StringTable["problem_javaenabled_content2"] = 'Firefox를 사용하는 경우:' +
				'<ol><li type="i"><i>편집 > 환경 설정<\/i> 메뉴로 이동하십시오.<\/li>'+
				'<li type="i"><i>고급<\/i> 카테고리를 선택하십시오.<\/li>'+
				'<li type="i"><i>웹 페이지 해석을 지원하는 기능<\/i> 그룹에서 Java를 사용할 수 있는지 확인하십시오.<\/li><\/ol>';
StringTable["problem_javaenabled_content3"] = 'Linux 운영 체제:'+
				'<ol><li type="i">Firefox 설치 디렉토리의 <i>플러그인<\/i> 디렉토리로 이동하십시오.<\/li>'+
				'<i>cd &lt;Firefox>/plugins<\/i>'+
				'<li type="i">JRE 설치 디렉토리에 있는 <i>libjavaplugin_oji.so<\/i>에 기호 링크를 작성하십시오.<\/li>'+
				'<i>ln -s &lt;JRE>/bin/libjavaplugin_oji.so<\/i> <br>OR(O)'+
				'<i> ln -s &lt;JRE>/plugin/i386/ns610/libjavaplugin_oji.so<\/i><\/ol>';
StringTable["problem_nojava_header"] = '브라우저에서 JVM이 실행 중이 아닙니다.';	
StringTable["problem_nojava_content1"] = '시스템에 JVM이 설치되어 있는지 확인하십시오. ';
StringTable["problem_nojava_content2"] = 'JVM이 브라우저와 연관되어 있는지 확인하십시오. '+
				'<ol>Windows 운영 체제:'+
				'<li type="i">시작 메뉴의 <i>설정 > 제어판<\/i>으로 이동하십시오.<\/li>'+
				'<li type="i"><i>Java 플러그인 제어판<\/i>을 여십시오.<\/li>'+
				'<li type="i"><i>Java<\/i> 탭으로 이동하십시오.<\/li>'+
				'<li type="i"><i>Java 애플릿 런타임 설정<\/i>의 <i>보기<\/i> 단추를 클릭하십시오. '+
				'<li type="i">브라우저에 <i>Java 플러그인이 기본 Java 런타임으로 사용됨<\/i>이 선택되어 있는지 확인하십시오. 브라우저 옆에 있는 선택란을 클릭하십시오.<\/li>'+
				'<li type="i"><i>적용<\/i>을 클릭하고 제어판을 닫으십시오.<\/li><\/ol>';
StringTable["problem_ft_header"] = '브라우저에서 사용되는 JVM이 사용으로 표시되지 않습니다.';
StringTable["problem_ft_content1"] = '<i>구성 > 테스트용 환경 사용<\/i>을 클릭하여 인에이블러를 열고 <i>Java 환경<\/i> 탭을 클릭하십시오. 나열된 모든 환경을 선택한 후 <i>사용<\/i>을 클릭하십시오. ';
StringTable["problem_ft_content2"] = 'Windows 운영 체제의 다른 단계:<ol>'+
				'<li type="i">시작 메뉴의 <i>설정 > 제어판<\/i>으로 이동하십시오.<\/li>'+
				'<li type="i"><i>Java 플러그인 제어판<\/i>을 여십시오.<\/li>'+
				'<li type="i"><i>고급<\/i> 탭으로 이동하십시오.<\/li>'+
				'<li type="i"><i>Java 런타임 환경<\/i>에 사용할 수 있는 버전을 선택하십시오.<\/li>'+
				'<li type="i"><i>적용<\/i>을 클릭하고 제어판을 닫으십시오.<\/li><\/ol>';
StringTable["problem_ft_content3"] = '브라우저가 기본 Functional Test JRE를 사용할 수 있도록 Windows의 마지막 재정렬로 레지스트리 키를 추가할 수 있습니다. <ol>'+
				'<li type="i"><i>시작 메뉴<\/i>로 이동하여 <i>실행..<\/i>을 선택하십시오.<\/li>'+
				'<li type="i">"regedit"를 입력하고 <i>확인<\/i>을 클릭하십시오.<\/li>'+
				'<li type="i"><i>HKEY_LOCAL_MACHINE\\Software\\Rational Software\\Rational Test\\8<\/i>를 탐색하십시오.<\/li>'+
				'<li type="i">문자열 값이 "0"인 "애플릿 지원" 키를 추가하십시오.<\/li><\/ol>';
StringTable["problem_htdi_header"] = '브라우저에서 Functional Test 코드를 로드하지 못했습니다.'	
StringTable["problem_htdi_content1"] = '인에이블러에서 브라우저를 사용하지 않도록 하거나 다시 사용하게 하십시오. '+
				'<ol><li type="i"><i>구성 > 테스트용 환경 사용<\/i>을 클릭하십시오.<\/li>'+
				'<li type="i"><i>웹 브라우저<\/i> 탭에서 브라우저를 선택하고 <i>사용 안함<\/i>을 클릭하십시오.<\/li>'+
				'<li type="i">브라우저를 다시 선택하고 <i>사용<\/i>을 클릭하십시오.<\/li><\/ol>';
StringTable["problem_htdi_content2"] = 'Internet Explorer를 사용하는 경우:'+
				'<ol><li type="i"><i>도구 > 인터넷 옵션<\/i> 메뉴로 이동하십시오.<\/li>'+
				'<li type="i"><i>고급<\/i> 탭으로 이동하십시오. '+
				'<li type="i"><i>써드파티 브라우저 확장기능 사용<\/i>이 선택되어 있는지 확인하십시오.<\/li><\/ol>'+
				'<ol><b>사용하는 경우...<\/b>'+
				'<li type="i">Functional Test 설치 디렉토리에서 RTXIEEnabler.dll 파일을 찾으십시오. 기본 설치 옵션을 선택한 경우에는 <code>c:\\Program Files\\IBM\\SDP\\FunctionalTester\\bin\\<\/code>입니다.<\/li>'+
				'<li type="i">명령 쉘(cmd.exe)에서 RTXIEEnabler.dll이 포함된 디렉토리를 탐색하십시오.<\/li>'+
				'<li type="i">"regsvr32 RTXIEEnabler.dll"을 입력하십시오.<\/li><\/ol>';
StringTable["details_java_enabled_browser"] = '<i>브라우저에서 Java 사용 = <\/i>';				
StringTable["details_java_enabled_header"] = 'Java 사용';
StringTable["details_bootstrap_loaded"] = '<i>부트스트랩 로드 = <\/i>';
StringTable["details_java2tdi_loaded"] = '<i>Java2TestDomainImplementation 로드 = <\/i>';
StringTable["details_htdi_loaded"] = '<i>HtmlTestDomainImplementation 로드 = <\/i>';
StringTable["details_htdi_name"] = '<i>HtmlTestDomainImplementation 이름 = <\/i>';
StringTable["details_enablement_header"] = '일반 사용 정보';
StringTable["details_jvm_version"] = '<i>JVM 버전 = <\/i>';
StringTable["details_jvm_vendor"] = '<i>JVM 벤더 = <\/i>';
StringTable["details_jvm_header"] = 'JVM 정보';
//
//FLEX TEST STRING
//
// For Future
StringTable["flex_header_enablement_test_info"]	 = 'Flex 환경 사용 테스트';
StringTable["flex_prereq_failed_header"]		 = 'Flex 애플리케이션 사용을 테스트할 수 없습니다.';
StringTable["flex_prereq_failed_detail"]		 = '브라우저 및/또는 JVM을 사용할 수 있는지 확인하십시오. 이는 Flex 애플리케이션 사용을 테스트하는 데 전제조건입니다. ';
StringTable["flex_test_header"]					 = '다음과 같은 설정이 확인되었습니다. 결과는 아래와 같습니다. ';
StringTable["flex_test_info"]					 = '<div><h2>Flex 브라우저 설정 결과: ';
StringTable["flex_test_failed"]					 = '<font style="Color: darkred">실패했습니다!<\/font><\/div><\/h2>';
StringTable["flex_test_passed"]					 = '<font style="Color: green">패스되었습니다!<\/font><\/div><\/h2>';
StringTable["flex_test_helpstring1"] 			 = '<p>Flex 애플리케이션을 테스트하는 데 브라우저를 구성하도록 표시되지 않습니다. 다음 브라우저 설정을 확인하십시오. <\/p>';
StringTable["flex_test_success_header"] 		 = '<p><font style="Color: green">  Flex 애플리케이션 테스트를 위해 구성되도록 브라우저 설정 표시<\/p><\/font>';
StringTable["flex_test_success_noprob"] 		 = '보고할 문제점이 없습니다.';
StringTable["flex_test_localserver"] 			 = '로컬 호스트에 구성된 웹 서버의 경우';
StringTable["flex_test_remoteserver"]			 = '원격 시스템에 구성된 웹 서버의 경우';

// Current
StringTable["flex_header_enablement_info"]		 = 'Flex 테스트 환경 요구사항';
StringTable["flex_test_general_info"]			 = '<br/><h3>Flex 애플리케이션을 테스트하려면 다음 설정을 확인하십시오.<\/h3>';
StringTable["flex_test_browser_header"] 		 = '브라우저 사용 테스트';
StringTable["flex_test_browser_info"]			 = '브라우저 사용 테스트가 패스되어야 합니다. 예를 들면 브라우저 및 연관된 JVM이 사용 가능해야 합니다. <br>';
StringTable["flex_test_compiletime_header"] 	 = '컴파일 시간 사용';
StringTable["flex_test_compiletime_header_ex1"]  = '시스템의 로컬 디렉토리에 있는 애플리케이션';
StringTable["flex_test_compiletime_info"]		 = '다음 단계에 따라 테스트할 Flex 애플리케이션을 신뢰된 플래시 디렉토리에 추가하십시오. '+
							   '<ol>'+
							   '<li type = "i"><b><i>C:\\WINDOWS\\system32\\Macromed\\Flash<\/i><\/b>에 <b>FlashPlayerTrust<\/b>라는 폴더를 작성하십시오.'+
							   '<li type = "i">위에서 작성한 <b>FlashPlayerTrust<\/b> 폴더에 확장자 없이 <b>Flex<\/b>라는 파일을 작성하십시오.<\/li>'+
							   '<li type = "i">위에서 작성한 <b>Flex<\/b> 파일에 Flex 애플리케이션의 디렉토리 경로를 입력하십시오. 예를 들어 Flex 애플리케이션이 <b>"C:\\Test"<\/b> 디렉토리에 있으면 <b>Flex<\/b> 파일에 <b>C:\\Test<\/b>로 경로를 입력하십시오.<\/li>'+
							   '<li type = "i">파일을 지정하십시오.<\/li>';
StringTable["flex_test_ie_header"]			 	= 'Internet Explorer의 경우';
StringTable["flex_test_ie_header_ex1"]			= '런타임 로드에 구성되거나 서버에서 호스트된 애플리케이션';
StringTable["flex_test_ie_info"]			 	= '다음과 같이 Internet Explorer를 구성하십시오.'+
							   '<ol><b>Flex 애플리케이션의 URL을 로컬 인트라넷 영역에 추가하시시오...<\/b>' +
							   '<ol><li type = "i"><i><b>도구 > 인터넷 옵션<\/b><\/i>으로 이동하십시오.<\/li>'+
							   '<li type="i"><i><b>보안<\/b><\/i> 탭으로 이동하십시오.<\/li>'+
							   '<li type="i"><i><b>로컬 인트라넷<\/b> <\/i> 영역을 선택하십시오.<\/li>'+
							   '<li type="i"><i><b>사이트 > 고급<\/b><\/i> 단추를 클릭하십시오.<\/li>'+
							   '<li type="i"><i><b>이 웹 사이트를 영역에 추가<\/b><\/i> 필드에 Flex 애플리케이션의 URL을 입력하십시오.<\/li>'+
							   '<li type="i"><i><b>추가<\/b><\/i>를 클릭한 후 <i><b>확인<\/b><\/i>을 클릭하십시오.<\/li><\/ol>'+
							   '<br>'+
							   '<b>ActiveX 제어 허용...<\/b>'+
							   '<ol><li type="i"><i><b>로컬 인트라넷<\/b><\/i> 영역을 선택하십시오.<\/li>'+
							   '<li type="i"><i><b>사용자 정의 레벨<\/b><\/i>을 클릭하십시오.<\/li>'+
							   '<li type="i"><i><b>재설정 대상:<\/b><\/i> 드롭 다운에서 <i><b>중하위<\/b><\/i>를 선택하십시오.<\/li>'+
							   '<li type="i"><i><b>설정<\/b><\/i> 분할창에서 <i><b> 초기화 및 스크립팅 보안으로 표시되지 않은 스크립트 ActiveX 제어<\/b><\/i>에 <i><b>사용<\/b> <\/i>을 선택하십시오.<\/li>'+
							   '<li type="i"><i><b>확인<\/b><\/i>을 클릭하고 <i><b>확인<\/b><\/i>을 다시 클릭하여 보안 설정을 저장한 다음 인터넷 옵션 창을 닫으십시오.<\/li><\/ol>';
StringTable["flex_test_ff_header"]			 	= 'Firefox 브라우저의 경우';
StringTable["flex_test_ff_header_ex1"] 			= '컴파일 시간과 런타임 둘 다 사용';
StringTable["flex_test_ff_info"]  			 	= '다음과 같이 Firefox를 구성하십시오. '+
							   '<ol><li type = "i"><b>user.js<\/b> 및 <b>prefs.js<\/b>와 같은 Java 스크립트 파일을 배치하여 권한을 사용 가능하게 하십시오. <\/li>'+
							   '<li type = "i">이 파일은 RFT 설치 디렉토리의 <b><i>Flex<\/i><\/b> 폴더에 있습니다(기본적으로 위치는 <b><i>"C:\\Program Files \\IBM\\SDP\\FunctionalTester\\Flex"<\/i><\/b>입니다.).<\/li>'+
							   '<li type = "i">이 파일을 <b><\/i>"C:\\Documents and Settings\\&lt;username&gt;\\Application Data\\Mozilla\\Firefox\\Profiles\\zpy0wokq.default"<\/i><\/b> 디렉토리에 복사하십시오.<\/li><\/ol>'+
							   '<font style="Color : red">참고: 이름 "zpy0wokq.default"는 컴퓨터에 따라 다를 수 있습니다.<\/font>';

