//////////////////////////////////////////////////////////////////////////////////////////////////////
//	IBM Confidential
//
//	(c) Copyright IBM Corp. 2006 All Rights Reserved.
//
//	The source code for this program is not published or otherwise
//	divested of its trade secrets, irrespective of what has been
//	deposited with the U.S. Copyright Office.
//////////////////////////////////////////////////////////////////////////////////////////////////////

// Associative array containing string resources
var StringTable = new Object;

//////////////////////////////////////////////////////////////////////////////////////////////////////
//
// These are the default string resources for the Browser Enablement Diagnostics Tool
// Localized versions should be named using ISO 630 naming convention where PluginInfo.js is the
// default resource. For example, English resources would be "PluginInfo.en.js", Japanese resourcs
// would be "PluginInfo.ja.js", and if needed locale can be used, so US English would be
// "PluginInfo.en-us.js".
//
// Tags (<"tag name"> <\/"tag name") should not be localized although color attributes can be changed 
// if the color has a different meaning in a different locale.
//
//////////////////////////////////////////////////////////////////////////////////////////////////////
StringTable["title"] = 'Ferramenta de Diagn\u00f3stico de Ativa\u00e7\u00e3o do Navegador';
StringTable["info_tab"] = 'Resultados';
StringTable["problem_tab"] = 'Problema e Solu\u00e7\u00e3o';
StringTable["details_tab"] = 'Detalhes (<i>Avan\u00e7ados<\/i>)';
StringTable["welcome"] = 'Bem-vindo \u00e0 Ferramenta de Diagn\u00f3stico de Ativa\u00e7\u00e3o do Navegador';
StringTable["run_button"] = 'Clique Aqui para Executar Testes de Diagn\u00f3stico';
StringTable["info_result"] = '<div><h2>Resultado do Teste de Ativa\u00e7\u00e3o do Navegador:';
StringTable["info_result_passed_1"] = '<font style="color: green"> Passou!<\/font><\/h2><\/div>\n';
StringTable["info_result_passed_2"] = '<p>Seu navegador est\u00e1 corretamente ativado.<\/p>';
StringTable["info_result_failed_1"] = '<font style="color: darkred"> Falha!<\/font><\/h2><\/div>';
StringTable["info_result_failed_2"] = '<p>Consulte a guia Problema e Solu\u00e7\u00e3o para obter instru\u00e7\u00f5es para corrigir o problema.<\/p>'; 
StringTable["info_result_failed_javaenabled"] = '<p>O Java n\u00e3o est\u00e1 ativado no navegador.<p>';
StringTable["info_result_failed_java"] = '<p>Uma JVM n\u00e3o est\u00e1 sendo executada em seu navegador.<\/p>';
StringTable["info_result_failed_ft"] = '<p>A JVM usada pelo navegador n\u00e3o parece estar ativada.<\/p>';
StringTable["info_result_failed_htdi"] = '<p>C\u00f3digo Teste Funcional n\u00e3o carregado com \u00eaxito pelo navegador.<\/p>';
StringTable["problem_noproblem"] = '<h2>N\u00e3o existem problemas a serem relatados.<\/h2>';
StringTable["problem_javaenabled_header"] = 'O Java n\u00e3o est\u00e1 ativado no navegador.';
StringTable["problem_javaenabled_content1"] = 'Se estiver usando o Internet Explorer:'+
				'<ol><li type="i">Acesse o menu <i>Ferramentas > Op\u00e7\u00f5es da Internet<\/i>.<\/li>'+
				'<li type="i">Acesse a guia <i>Avan\u00e7ado<\/i>.'+
				'<li type="i">Certifique-se de estar usando uma JVM. Localize uma JVM na lista e certifique-se de que ela est\u00e1 selecionada.<\/li><\/ol>';
StringTable["problem_javaenabled_content2"] = 'Se estiver usando Firefox:' +
				'<ol><li type="i">Acesse o menu <i>Editar > Prefer\u00eancias<\/i>.<\/li>'+
				'<li type="i">Selecione a categoria <i>Avan\u00e7ado<\/i>.<\/li>'+
				'<li type="i">No grupo <i>Recursos que ajudam a interpretar as p\u00e1ginas da Web<\/i>, certifique-se de que Java esteja ativado.<\/li><\/ol>';
StringTable["problem_javaenabled_content3"] = 'Nos Sistemas Operacionais Linux:'+
				'<ol><li type="i">Acesse o diret\u00f3rio <i>plugins<\/i> no diret\u00f3rio de instala\u00e7\u00e3o Firefox.<\/li>'+
				'<i>cd &lt;Firefox>/plugins<\/i>'+
				'<li type="i">Crie um link simb\u00f3lico para o <i>libjavaplugin_oji.so<\/i> que pode ser localizado no diret\u00f3rio de instala\u00e7\u00e3o JRE.<\/li>'+
				'<i>ln -s &lt;JRE>/bin/libjavaplugin_oji.so<\/i> <br>OR'+
				'<i> ln -s &lt;JRE>/plugin/i386/ns610/libjavaplugin_oji.so<\/i><\/ol>';
StringTable["problem_nojava_header"] = 'Uma JVM n\u00e3o est\u00e1 sendo executada em seu navegador.';	
StringTable["problem_nojava_content1"] = 'Certifique-se de ter uma JVM instalada em sua m\u00e1quina.';
StringTable["problem_nojava_content2"] = 'Certifique-se de que a JVM esteja associada ao navegador.'+
				'<ol>Em sistemas Operacionais Windows:'+
				'<li type="i">Acesse <i>Configura\u00e7\u00f5es > Painel de Controle<\/i> no menu Iniciar.<\/li>'+
				'<li type="i">Abra o <i>Painel de Controle do Plug-in Java<\/i>.<\/li>'+
				'<li type="i">Acesse a guia <i>Java<\/i>.<\/li>'+
				'<li type="i">Clique no bot\u00e3o <i>Visualizar<\/i> para as <i>Configura\u00e7\u00f5es de Java Applet Runtime<\/i>'+
				'<li type="i">Certifique-se de que <i>Java Plug-in Ser\u00e1 Usado como o Java Runtime Padr\u00e3o<\/i> esteja selecionado para o seu navegador. Clique na caixa de op\u00e7\u00e3o junto ao seu navegador.<\/li>'+
				'<li type="i">Clique em <i>Aplicar<\/i> e feche o Painel de Controle.<\/li><\/ol>';
StringTable["problem_ft_header"] = 'A JVM usada pelo navegador n\u00e3o parece estar ativada.';
StringTable["problem_ft_content1"] = 'Abra o Ativador, clicando em <i>Configurar > Ativar Ambientes para Teste<\/i> e clique na guia <i>Ambientes Java<\/i>. Selecione os ambientes listados e clique em <i>Ativar<\/i>.';
StringTable["problem_ft_content2"] = 'Como alternativa nos Sistemas Operacionais Windows:<ol>'+
				'<li type="i">Acesse <i>Configura\u00e7\u00f5es > Painel de Controle<\/i> no menu Iniciar.<\/li>'+
				'<li type="i">Abra o <i>Painel de Controle do Plug-in Java<\/i>.<\/li>'+
				'<li type="i">Acesse a guia <i>Avan\u00e7ado<\/i>.<\/li>'+
				'<li type="i">Para <i>Java Runtime Environment<\/i>, selecione uma vers\u00e3o que voc\u00ea sabe que est\u00e1 ativada.<\/li>'+
				'<li type="i">Clique em <i>Aplicar<\/i> e feche o Painel de Controle.<\/li><\/ol>';
StringTable["problem_ft_content3"] = 'Como um \u00faltimo recurso no Windows, \u00e9 poss\u00edvel incluir uma chave de registro para fazer com que o navegador use o JRE de Teste Funcional padr\u00e3o.<ol>'+
				'<li type="i">Acesse o <i>Menu Iniciar<\/i> e selecione <i>Executar...<\/i><\/li>'+
				'<li type="i">Digite "regedit" e clique em <i>OK<\/i>.<\/li>'+
				'<li type="i">Navegue em <i>HKEY_LOCAL_MACHINE\\Software\\Rational Software\\Rational Test\\8<\/i>.<\/li>'+
				'<li type="i">Inclua uma chave "Suporte Applet" com um valor de cadeia de "0".<\/li><\/ol>';
StringTable["problem_htdi_header"] = 'C\u00f3digo Teste Funcional n\u00e3o carregado com \u00eaxito pelo navegador.'	
StringTable["problem_htdi_content1"] = 'Tente desativar e reativar o navegador no Ativador.'+
				'<ol><li type="i">Clique em <i>Configurar > Ativar Ambientes para Teste<\/i>.<\/li>'+
				'<li type="i">Na guia <i>Navegadores da Web<\/i>, selecione o navegador e clique em <i>Desativar<\/i>.<\/li>'+
				'<li type="i">Selecione o navegador novamente e clique em <i>Ativar<\/i>.<\/li><\/ol>';
StringTable["problem_htdi_content2"] = 'Se estiver usando o Internet Explorer:'+
				'<ol><li type="i">Acesse o menu <i>Ferramentas > Op\u00e7\u00f5es da Internet<\/i>.<\/li>'+
				'<li type="i">Acesse a guia <i>Avan\u00e7ado<\/i>.'+
				'<li type="i">Certifique-se de que <i>Ativar Extens\u00f5es do Navegador de Terceiros<\/i> esteja marcado.<\/li><\/ol>'+
				'<ol><b>Se Estiver Ativado...<\/b>'+
				'<li type="i">Localize o arquivo RTXIEEnabler.dll no diret\u00f3rio de instala\u00e7\u00e3o de Teste Funcional. Se voc\u00ea adotou as op\u00e7\u00f5es de instala\u00e7\u00e3o padr\u00e3o, isso seria <code>c:\\Program Files\\IBM\\SDP\\FunctionalTester\\bin\\<\/code>.<\/li>'+
				'<li type="i">A partir de um shell de comando (cmd.exe), navegue para o diret\u00f3rio que cont\u00e9m RTXIEEnabler.dll.<\/li>'+
				'<li type="i">Digite "regsvr32 RTXIEEnabler.dll".<\/li><\/ol>';
StringTable["details_java_enabled_browser"] = '<i>Java Ativado no Navegador = <\/i>';				
StringTable["details_java_enabled_header"] = 'Java Ativado';
StringTable["details_bootstrap_loaded"] = '<i>Autoinicializa\u00e7\u00e3o Carregada = <\/i>';
StringTable["details_java2tdi_loaded"] = '<i>Java2TestDomainImplementation Carregada = <\/i>';
StringTable["details_htdi_loaded"] = '<i>HtmlTestDomainImplementation Carregada = <\/i>';
StringTable["details_htdi_name"] = '<i>Nome de HtmlTestDomainImplementation = <\/i>';
StringTable["details_enablement_header"] = 'Informa\u00e7\u00f5es Gerais de Ativa\u00e7\u00e3o';
StringTable["details_jvm_version"] = '<i>Vers\u00e3o JVM = <\/i>';
StringTable["details_jvm_vendor"] = '<i>Fornecedor JVM = <\/i>';
StringTable["details_jvm_header"] = 'Informa\u00e7\u00f5es JVM';
//
//FLEX TEST STRING
//
// For Future
StringTable["flex_header_enablement_test_info"]	 = 'Teste de Ativa\u00e7\u00e3o do Ambiente Flex';
StringTable["flex_prereq_failed_header"]		 = 'A Ativa\u00e7\u00e3o de Teste do Aplicativo Flex n\u00e3o \u00e9 poss\u00edvel';
StringTable["flex_prereq_failed_detail"]		 = 'Verifique se o navegador e/ou a JVM est\u00e3o corretamente ativados. Esse \u00e9 um pr\u00e9-requisito para testar a ativa\u00e7\u00e3o do aplicativo Flex';
StringTable["flex_test_header"]					 = 'As seguintes configura\u00e7\u00f5es foram verificadas. Os resultados est\u00e3o abaixo';
StringTable["flex_test_info"]					 = '<div><h2>Configura\u00e7\u00f5es do Navegador Para Resultados Flex : ';
StringTable["flex_test_failed"]					 = '<font style="Color: darkred">Falha!<\/font><\/div><\/h2>';
StringTable["flex_test_passed"]					 = '<font style="Color: green">Passou!<\/font><\/div><\/h2>';
StringTable["flex_test_helpstring1"] 			 = '<p>O Navegador n\u00e3o parece estar configurado corretamente para testar o aplicativo flex. Verifique as seguintes configura\u00e7\u00f5es do navegador: <\/p>';
StringTable["flex_test_success_header"] 		 = '<p><font style="Color: green">  As configura\u00e7\u00f5es do navegador parecem estar configuradas corretamente para testar o aplicativo Flex <\/p><\/font>';
StringTable["flex_test_success_noprob"] 		 = 'Nenhum problema a ser relatado.';
StringTable["flex_test_localserver"] 			 = 'Para o Servidor da Web configurado no host local';
StringTable["flex_test_remoteserver"]			 = 'Para o Servidor da Web configurado na m\u00e1quina remota';

// Current
StringTable["flex_header_enablement_info"]		 = 'Requisitos do Ambiente de Teste Flex';
StringTable["flex_test_general_info"]			 = '<br/><h3>Para testar os aplicativos Flex, verifique as seguintes configura\u00e7\u00f5es:<\/h3>';
StringTable["flex_test_browser_header"] 		 = 'Ativa\u00e7\u00e3o do Navegador de Teste';
StringTable["flex_test_browser_info"]			 = 'O Teste de Ativa\u00e7\u00e3o do Navegador deve passar, por exemplo, o navegador e a JVM associada devem ser ativados.<br>';
StringTable["flex_test_compiletime_header"] 	 = 'Para Ativa\u00e7\u00e3o do Tempo de Compila\u00e7\u00e3o';
StringTable["flex_test_compiletime_header_ex1"]  = 'Aplicativo existente em um Diret\u00f3rio Local do sistema';
StringTable["flex_test_compiletime_info"]		 = 'Inclua o Aplicativo Flex em Teste no diret\u00f3rio confi\u00e1vel Flash, usando as seguintes etapas:'+
							   '<ol>'+
							   '<li type = "i">Crie uma pasta denominada <b>FlashPlayerTrust<\/b> em <b><i>C:\\WINDOWS\\system32\\Macromed\\Flash .<\/i><\/b>'+
							   '<li type = "i">Crie um arquivo denominado <b>Flex<\/b>, sem qualquer extens\u00e3o na pasta <b>FlashPlayerTrust<\/b> criada acima.<\/li>'+
							   '<li type = "i">Digite o caminho do diret\u00f3rio do aplicativo Flex no arquivo <b>Flex<\/b> criado acima. Por exemplo, se o aplicativo Flex estiver no diret\u00f3rio <b>"C:\\Test"<\/b>, digite o caminho no arquivo <b>Flex<\/b> como <b>C:\\Test<\/b><\/li>'+
							   '<li type = "i"> Salve o arquivo.<\/li>';
StringTable["flex_test_ie_header"]			 	= 'Para Internet Explorer';
StringTable["flex_test_ie_header_ex1"]			= 'Os aplicativos configurados para Carregamento de Tempo de Execu\u00e7\u00e3o ou hospedados em um servidor';
StringTable["flex_test_ie_info"]			 	= 'Configure o Internet Explorer da seguinte maneira:'+
							   '<ol><b>Inclua a URL do aplicativo Flex para a zona de Intranet Local...<\/b>' +
							   '<ol><li type = "i">Acesse <i><b>Ferramentas > Op\u00e7\u00f5es de Internet<\/b><\/i><\/li>'+
							   '<li type="i">Acesse a guia <i><b> Seguran\u00e7a<\/b><\/i>.<\/li>'+
							   '<li type="i"> Selecione a zona <i><b>Intranet Local<\/b><\/i>.<\/li>'+
							   '<li type="i"> Clique nos bot\u00f5es <i><b>Sites > Avan\u00e7ados<\/b><\/i>.<\/li>'+
							   '<li type="i"> No campo <i><b>Incluir Este Web Site na Zona<\/b><\/i>, insira a URL do aplicativo Flex.<\/li>'+
							   '<li type="i"> Clique em <i><b>Incluir<\/b><\/i> e, em seguida, clique em <i><b>OK<\/b><\/i>.<\/li><\/ol>'+
							   '<br>'+
							   '<b>Permitir controles ActiveX...<\/b>'+
							   '<ol><li type="i"> Selecione zona <i><b>Intranet Local<\/b><\/i><\/li>'+
							   '<li type="i"> Clique em <i><b>N\u00edvel Customizado<\/b><\/i>.<\/li>'+
							   '<li type="i"> No menu suspenso <i><b>Reconfigurar Para:<\/b><\/i>, selecione <i><b>M\u00e9dio Baixo<\/b><\/i>.<\/li>'+
							   '<li type="i"> Na \u00e1rea de janela <i><b>Configura\u00e7\u00f5es<\/b><\/i>, selecione <i><b> Ativar<\/b> <\/i> para <i><b> Inicializar e Controles ActiveX de Script N\u00e3o Marcados como Seguros para Script<\/b><\/i> <\/li>'+
							   '<li type="i"> Clique em <i><b>OK<\/b><\/i> e, em seguida, <i><b>OK<\/b><\/i> novamente para salvar as configura\u00e7\u00f5es de seguran\u00e7a e feche a janela Op\u00e7\u00f5es de Internet<\/li><\/ol>';
StringTable["flex_test_ff_header"]			 	= 'Para o Navegador Firefox';
StringTable["flex_test_ff_header_ex1"] 			= 'Tempo de Compila\u00e7\u00e3o e Ativa\u00e7\u00e3o de Tempo de Execu\u00e7\u00e3o';
StringTable["flex_test_ff_info"]  			 	= 'Configure o Firefox da seguinte maneira:'+
							   '<ol><li type = "i">Ative os privil\u00e9gios, implementando os arquivos de script Java: <b>user.js<\/b> e <b>prefs.js<\/b><\/li>'+
							   '<li type = "i">Esses arquivos est\u00e3o dispon\u00edveis na pasta <b><i> Flex<\/i><\/b> do diret\u00f3rio de Instala\u00e7\u00e3o RFT (por padr\u00e3o, o local \u00e9 <b><i>"C:\\Program Files \\IBM\\SDP\\FunctionalTester\\Flex"<\/i><\/b>.<\/li>'+
							   '<li type = "i">Copie esses arquivos para o diret\u00f3rio <b><\/i>"C:\\Documents and Settings\\&lt;username&gt;\\Application Data\\Mozilla\\Firefox\\Profiles\\zpy0wokq.default"<\/i><\/b>.<\/li><\/ol>'+
							   '<font style="Color : red">NOTA: O nome "zpy0wokq.default" pode variar em diferentes computadores.<\/font>';
