//////////////////////////////////////////////////////////////////////////////////////////////////////
//	IBM Confidential
//
//	(c) Copyright IBM Corp. 2006 All Rights Reserved.
//
//	The source code for this program is not published or otherwise
//	divested of its trade secrets, irrespective of what has been
//	deposited with the U.S. Copyright Office.
//////////////////////////////////////////////////////////////////////////////////////////////////////

// Associative array containing string resources
var StringTable = new Object;

//////////////////////////////////////////////////////////////////////////////////////////////////////
//
// These are the default string resources for the Browser Enablement Diagnostics Tool
// Localized versions should be named using ISO 630 naming convention where PluginInfo.js is the
// default resource. For example, English resources would be "PluginInfo.en.js", Japanese resourcs
// would be "PluginInfo.ja.js", and if needed locale can be used, so US English would be
// "PluginInfo.en-us.js".
//
// Tags (<"tag name"> <\/"tag name") should not be localized although color attributes can be changed 
// if the color has a different meaning in a different locale.
//
//////////////////////////////////////////////////////////////////////////////////////////////////////
StringTable["title"] = '\u700f\u89bd\u5668\u555f\u7528\u8a3a\u65b7\u5de5\u5177';
StringTable["info_tab"] = '\u7d50\u679c';
StringTable["problem_tab"] = '\u554f\u984c\u8207\u89e3\u6c7a\u65b9\u6848';
StringTable["details_tab"] = '\u8a73\u7d30\u8cc7\u6599\uff08<i>\u9032\u968e<\/i>\uff09';
StringTable["welcome"] = '\u6b61\u8fce\u4f7f\u7528\u300c\u700f\u89bd\u5668\u555f\u7528\u8a3a\u65b7\u5de5\u5177\u300d';
StringTable["run_button"] = '\u6309\u4e00\u4e0b\u9019\u88e1\u4ee5\u57f7\u884c\u8a3a\u65b7\u6e2c\u8a66';
StringTable["info_result"] = '<div><h2>\u700f\u89bd\u5668\u555f\u7528\u6e2c\u8a66\u7d50\u679c\uff1a';
StringTable["info_result_passed_1"] = '<font style="color: green">\u901a\u904e\uff01<\/font><\/h2><\/div>\n';
StringTable["info_result_passed_2"] = '<p>\u60a8\u7684\u700f\u89bd\u5668\u5df2\u9069\u7576\u555f\u7528\u3002<\/p>';
StringTable["info_result_failed_1"] = '<font style="color: darkred">\u5931\u6557\uff01<\/font><\/h2><\/div>';
StringTable["info_result_failed_2"] = '<p>\u8acb\u53c3\u95b1\u300c\u554f\u984c\u8a9e\u89e3\u6c7a\u65b9\u6848\u300d\u6a19\u7c64\uff0c\u4ee5\u53d6\u5f97\u4fee\u6b63\u554f\u984c\u7684\u6307\u793a\u3002<\/p>'; 
StringTable["info_result_failed_javaenabled"] = '<p>\u700f\u89bd\u5668\u4e2d\u672a\u555f\u7528 Java\u3002<p>';
StringTable["info_result_failed_java"] = '<p>JVM \u672a\u5728\u700f\u89bd\u5668\u4e2d\u57f7\u884c\u3002<\/p>';
StringTable["info_result_failed_ft"] = '<p>\u700f\u89bd\u5668\u4f7f\u7528\u7684 JVM \u4f3c\u4e4e\u672a\u555f\u7528\u3002<\/p>';
StringTable["info_result_failed_htdi"] = '<p>\u700f\u89bd\u5668\u672a\u9806\u5229\u8f09\u5165\u300c\u529f\u80fd\u6e2c\u8a66\u300d\u7a0b\u5f0f\u78bc\u3002<\/p>';
StringTable["problem_noproblem"] = '<h2>\u6c92\u6709\u554f\u984c\u53ef\u5831\u544a\u3002<\/h2>';
StringTable["problem_javaenabled_header"] = '\u700f\u89bd\u5668\u4e2d\u672a\u555f\u7528 Java\u3002';
StringTable["problem_javaenabled_content1"] = '\u5982\u679c\u4f7f\u7528 Internet Explorer\uff1a'+
				'<ol><li type="i">\u79fb\u81f3<i>\u5de5\u5177 > \u7db2\u969b\u7db2\u8def\u9078\u9805<\/i>\u529f\u80fd\u8868\u3002<\/li>'+
				'<li type="i">\u79fb\u81f3<i>\u9032\u968e<\/i>\u6a19\u7c64\u3002'+
				'<li type="i">\u78ba\u5b9a\u60a8\u662f\u4f7f\u7528 JVM\u3002\u8acb\u5728\u6e05\u55ae\u4e2d\u5c0b\u627e JVM\uff0c\u4e26\u9078\u5b9a\u5df2\u9078\u53d6\u8a72 JVM\u3002<\/li><\/ol>';
StringTable["problem_javaenabled_content2"] = '\u5982\u679c\u4f7f\u7528 Firefox\uff1a' +
				'<ol><li type="i">\u79fb\u81f3<i>\u7de8\u8f2f > \u559c\u597d\u8a2d\u5b9a<\/i>\u529f\u80fd\u8868\u3002<\/li>'+
				'<li type="i">\u9078\u53d6<i>\u9032\u968e<\/i>\u7a2e\u985e\u3002<\/li>'+
				'<li type="i">\u5728<i>\u5354\u52a9\u89e3\u8b6f\u7db2\u9801\u7684\u7279\u6027<\/i>\u7fa4\u7d44\u4e2d\uff0c\u78ba\u5b9a\u5df2\u555f\u7528 Java\u3002<\/li><\/ol>';
StringTable["problem_javaenabled_content3"] = 'Linux \u4f5c\u696d\u7cfb\u7d71\uff1a'+
				'<ol><li type="i">\u79fb\u81f3 Firefox \u5b89\u88dd\u76ee\u9304\u4e0b\u7684 <i>plugins<\/i> \u76ee\u9304\u3002<\/li>'+
				'<i>cd &lt;Firefox>/plugins<\/i>'+
				'<li type="i">\u5efa\u7acb\u6307\u5411 <i>libjavaplugin_oji.so<\/i>\uff08\u5176\u4f4d\u65bc JRE \u5b89\u88dd\u76ee\u9304\u4e0b\uff09\u7684\u7b26\u865f\u93c8\u7d50\u3002<\/li>'+
				'<i>ln -s &lt;JRE>/bin/libjavaplugin_oji.so<\/i> <br>\u6216\u8005'+
				'<i> ln -s &lt;JRE>/plugin/i386/ns610/libjavaplugin_oji.so<\/i><\/ol>';
StringTable["problem_nojava_header"] = 'JVM \u672a\u5728\u700f\u89bd\u5668\u4e2d\u57f7\u884c\u3002';	
StringTable["problem_nojava_content1"] = '\u8acb\u78ba\u5b9a\u6a5f\u5668\u4e0a\u5df2\u5b89\u88dd JVM\u3002';
StringTable["problem_nojava_content2"] = '\u8acb\u78ba\u5b9a JVM \u8207\u700f\u89bd\u5668\u76f8\u95dc\u806f\u3002'+
				'<ol>Windows \u4f5c\u696d\u7cfb\u7d71\uff1a'+
				'<li type="i">\u5f9e\u300c\u958b\u59cb\u300d\u529f\u80fd\u8868\u79fb\u81f3<i>\u8a2d\u5b9a > \u63a7\u5236\u53f0<\/i>\u3002<\/li>'+
				'<li type="i">\u958b\u555f <i>Java \u5916\u639b\u7a0b\u5f0f\u63a7\u5236\u53f0<\/i>\u3002<\/li>'+
				'<li type="i">\u79fb\u81f3 <i>Java<\/i> \u6a19\u7c64\u3002<\/li>'+
				'<li type="i">\u6309\u4e00\u4e0b <i>Java Applet \u57f7\u884c\u6642\u671f\u8a2d\u5b9a<\/i>\u7684<i>\u6aa2\u8996<\/i>\u6309\u9215\u3002'+
				'<li type="i">\u8acb\u78ba\u5b9a\u60a8\u7684\u700f\u89bd\u5668\u5df2\u9078\u53d6<i>\u5c07\u4f7f\u7528 Java \u5916\u639b\u7a0b\u5f0f\u4f5c\u70ba\u9810\u8a2d Java \u57f7\u884c\u6642\u671f<\/i>\u3002\u8acb\u6309\u4e00\u4e0b\u700f\u89bd\u5668\u65c1\u7684\u52fe\u9078\u6846\u3002<\/li>'+
				'<li type="i">\u6309\u4e00\u4e0b<i>\u5957\u7528<\/i>\u4e26\u95dc\u9589\u300c\u63a7\u5236\u53f0\u300d\u3002<\/li><\/ol>';
StringTable["problem_ft_header"] = '\u700f\u89bd\u5668\u4f7f\u7528\u7684 JVM \u4f3c\u4e4e\u672a\u555f\u7528\u3002';
StringTable["problem_ft_content1"] = '\u6309\u4e00\u4e0b<i>\u914d\u7f6e > \u555f\u7528\u74b0\u5883\u4f9b\u6e2c\u8a66<\/i>\u4f86\u958b\u555f\u300c\u555f\u7528\u7a0b\u5f0f\u300d\uff0c\u7136\u5f8c\u6309\u4e00\u4e0b <i>Java \u74b0\u5883<\/i>\u6a19\u7c64\u3002\u8acb\u9078\u53d6\u6240\u6709\u5217\u51fa\u7684\u74b0\u5883\uff0c\u7136\u5f8c\u6309\u4e00\u4e0b<i>\u555f\u7528<\/i>\u3002';
StringTable["problem_ft_content2"] = '\u5728 Windows \u4f5c\u696d\u7cfb\u7d71\u7684\u53e6\u4e00\u7a2e\u65b9\u6cd5\uff1a<ol>'+
				'<li type="i">\u5f9e\u300c\u958b\u59cb\u300d\u529f\u80fd\u8868\u79fb\u81f3<i>\u8a2d\u5b9a > \u63a7\u5236\u53f0<\/i>\u3002<\/li>'+
				'<li type="i">\u958b\u555f <i>Java \u5916\u639b\u7a0b\u5f0f\u63a7\u5236\u53f0<\/i>\u3002<\/li>'+
				'<li type="i">\u79fb\u81f3<i>\u9032\u968e<\/i>\u6a19\u7c64\u3002<\/li>'+
				'<li type="i">\u91dd\u5c0d <i>Java \u57f7\u884c\u6642\u671f<\/i>\uff0c\u6311\u9078\u60a8\u77e5\u9053\u8981\u555f\u7528\u7684\u7248\u672c\u3002<\/li>'+
				'<li type="i">\u6309\u4e00\u4e0b<i>\u5957\u7528<\/i>\u4e26\u95dc\u9589\u300c\u63a7\u5236\u53f0\u300d\u3002<\/li><\/ol>';
StringTable["problem_ft_content3"] = '\u6700\u5f8c\u4e00\u7a2e\u65b9\u6cd5\u662f\uff0c\u5728 Windows \u4e0a\uff0c\u60a8\u53ef\u4ee5\u65b0\u589e\u767b\u9304\u6a5f\u78bc\uff0c\u8b93\u700f\u89bd\u5668\u4f7f\u7528\u9810\u8a2d\u7684\u300c\u529f\u80fd\u6e2c\u8a66\u300dJRE\u3002<ol>'+
				'<li type="i">\u79fb\u81f3<i>\u958b\u59cb\u529f\u80fd\u8868<\/i>\uff0c\u7136\u5f8c\u9078\u53d6<i>\u57f7\u884c...<\/i><\/li>'+
				'<li type="i">\u8f38\u5165 "regedit"\uff0c\u7136\u5f8c\u6309\u4e00\u4e0b<i>\u78ba\u5b9a<\/i>\u3002<\/li>'+
				'<li type="i">\u5c0e\u89bd\u81f3 <i>HKEY_LOCAL_MACHINE\\Software\\Rational Software\\Rational Test\\8<\/i>\u3002<\/li>'+
				'<li type="i">\u65b0\u589e\u5b57\u4e32\u503c\u70ba "0" \u7684\u6a5f\u78bc "Applet Support"\u3002<\/li><\/ol>';
StringTable["problem_htdi_header"] = '\u700f\u89bd\u5668\u672a\u9806\u5229\u8f09\u5165\u300c\u529f\u80fd\u6e2c\u8a66\u300d\u7a0b\u5f0f\u78bc\u3002'	
StringTable["problem_htdi_content1"] = '\u6b63\u5728\u300c\u555f\u7528\u7a0b\u5f0f\u300d\u4e2d\u5617\u8a66\u505c\u7528\u53ca\u91cd\u65b0\u555f\u7528\u700f\u89bd\u5668\u3002'+
				'<ol><li type="i">\u6309\u4e00\u4e0b<i>\u914d\u7f6e > \u555f\u7528\u74b0\u5883\u4f9b\u6e2c\u8a66<\/i>\u3002<\/li>'+
				'<li type="i">\u5728 <i>Web \u700f\u89bd\u5668<\/i>\u6a19\u7c64\u4e2d\uff0c\u9078\u53d6\u700f\u89bd\u5668\uff0c\u7136\u5f8c\u6309\u4e00\u4e0b<i>\u505c\u7528<\/i>\u3002<\/li>'+
				'<li type="i">\u91cd\u65b0\u9078\u53d6\u700f\u89bd\u5668\uff0c\u7136\u5f8c\u6309\u4e00\u4e0b<i>\u555f\u7528<\/i>\u3002<\/li><\/ol>';
StringTable["problem_htdi_content2"] = '\u5982\u679c\u4f7f\u7528 Internet Explorer\uff1a'+
				'<ol><li type="i">\u79fb\u81f3<i>\u5de5\u5177 > \u7db2\u969b\u7db2\u8def\u9078\u9805<\/i>\u529f\u80fd\u8868\u3002<\/li>'+
				'<li type="i">\u79fb\u81f3<i>\u9032\u968e<\/i>\u6a19\u7c64\u3002'+
				'<li type="i">\u78ba\u5b9a\u5df2\u52fe\u9078<i>\u555f\u7528\u5354\u529b\u5ee0\u5546\u700f\u89bd\u5668\u5ef6\u4f38\u898f\u683c<\/i>\u3002<\/li><\/ol>'+
				'<ol><b>\u5982\u679c\u555f\u7528...<\/b>'+
				'<li type="i">\u5728\u300c\u529f\u80fd\u6e2c\u8a66\u300d\u5b89\u88dd\u76ee\u9304\u4e2d\u5c0b\u627e RTXIEEnabler.dll \u6a94\u3002\u5982\u679c\u60a8\u63a1\u7528\u9810\u8a2d\u5b89\u88dd\u9078\u9805\uff0c\u8a72\u6a94\u6848\u6703\u662f <code>c:\\Program Files\\IBM\\SDP\\FunctionalTester\\bin\\<\/code>\u3002<\/li>'+
				'<li type="i">\u5f9e\u6307\u4ee4 Shell (cmd.exe) \u5c0e\u89bd\u81f3\u5305\u542b RTXIEEnabler.dll \u7684\u76ee\u9304\u3002<\/li>'+
				'<li type="i">\u8f38\u5165 "regsvr32 RTXIEEnabler.dll"\u3002<\/li><\/ol>';
StringTable["details_java_enabled_browser"] = '<i>\u700f\u89bd\u5668\u4e2d\u5df2\u555f\u7528 Java = <\/i>';				
StringTable["details_java_enabled_header"] = '\u5df2\u555f\u7528 Java';
StringTable["details_bootstrap_loaded"] = '<i>\u5df2\u8f09\u5165\u5f15\u5c0e = <\/i>';
StringTable["details_java2tdi_loaded"] = '<i>\u5df2\u8f09\u5165 Java2TestDomainImplementation = <\/i>';
StringTable["details_htdi_loaded"] = '<i>\u5df2\u8f09\u5165 HtmlTestDomainImplementation = <\/i>';
StringTable["details_htdi_name"] = '<i>HtmlTestDomainImplementation \u540d\u7a31 = <\/i>';
StringTable["details_enablement_header"] = '\u4e00\u822c\u555f\u7528\u8cc7\u8a0a';
StringTable["details_jvm_version"] = '<i>JVM \u7248\u672c = <\/i>';
StringTable["details_jvm_vendor"] = '<i>JVM \u4f9b\u61c9\u5546 = <\/i>';
StringTable["details_jvm_header"] = 'JVM \u8cc7\u8a0a';
//
//FLEX TEST STRING
//
// For Future
StringTable["flex_header_enablement_test_info"]	 = 'Flex \u74b0\u5883\u555f\u7528\u6e2c\u8a66';
StringTable["flex_prereq_failed_header"]		 = '\u7121\u6cd5\u6e2c\u8a66 Flex \u61c9\u7528\u7a0b\u5f0f\u7684\u555f\u7528\u529f\u80fd';
StringTable["flex_prereq_failed_detail"]		 = '\u8acb\u9a57\u8b49\u662f\u5426\u5df2\u9069\u7576\u555f\u7528\u700f\u89bd\u5668\u53ca/\u6216 JVM\u3002\u9019\u662f\u6e2c\u8a66 Flex \u61c9\u7528\u7a0b\u5f0f\u555f\u7528\u7684\u5fc5\u8981\u689d\u4ef6\u3002';
StringTable["flex_test_header"]					 = '\u5df2\u9a57\u8b49\u4e0b\u5217\u8a2d\u5b9a\u3002\u7d50\u679c\u5982\u4e0b';
StringTable["flex_test_info"]					 = '<div><h2>Flex \u7d50\u679c\u7684\u700f\u89bd\u5668\u8a2d\u5b9a\uff1a';
StringTable["flex_test_failed"]					 = '<font style="Color: darkred">\u5931\u6557\uff01<\/font><\/div><\/h2>';
StringTable["flex_test_passed"]					 = '<font style="Color: green">\u901a\u904e\uff01<\/font><\/div><\/h2>';
StringTable["flex_test_helpstring1"] 			 = '<p>\u700f\u89bd\u5668\u4f3c\u4e4e\u672a\u6b63\u78ba\u914d\u7f6e\u4ee5\u6e2c\u8a66 flex \u61c9\u7528\u7a0b\u5f0f\u3002\u8acb\u9a57\u8b49\u4e0b\u5217\u700f\u89bd\u5668\u8a2d\u5b9a\uff1a<\/p>';
StringTable["flex_test_success_header"] 		 = '<p><font style="Color: green">\u700f\u89bd\u5668\u8a2d\u5b9a\u4f3c\u4e4e\u5df2\u6b63\u78ba\u914d\u7f6e\u4ee5\u6e2c\u8a66 Flex \u61c9\u7528\u7a0b\u5f0f<\/p><\/font>';
StringTable["flex_test_success_noprob"] 		 = '\u6c92\u6709\u554f\u984c\u53ef\u5831\u544a\u3002';
StringTable["flex_test_localserver"] 			 = '\u5728\u672c\u7aef\u4e3b\u6a5f\u4e0a\u914d\u7f6e\u7684 Web \u4f3a\u670d\u5668';
StringTable["flex_test_remoteserver"]			 = '\u5728\u9060\u7aef\u6a5f\u5668\u4e0a\u914d\u7f6e\u7684 Web \u4f3a\u670d\u5668';

// Current
StringTable["flex_header_enablement_info"]		 = 'Flex \u6e2c\u8a66\u74b0\u5883\u9700\u6c42';
StringTable["flex_test_general_info"]			 = '<br/><h3>\u70ba\u4e86\u6e2c\u8a66 Flex \u61c9\u7528\u7a0b\u5f0f\uff0c\u8acb\u9a57\u8b49\u4e0b\u5217\u8a2d\u5b9a\uff1a<\/h3>';
StringTable["flex_test_browser_header"] 		 = '\u6e2c\u8a66\u700f\u89bd\u5668\u555f\u7528';
StringTable["flex_test_browser_info"]			 = '\u5fc5\u9808\u901a\u904e\u300c\u700f\u89bd\u5668\u555f\u7528\u6e2c\u8a66\u300d\uff0c\u4ea6\u5373\uff0c\u700f\u89bd\u5668\u548c\u95dc\u806f\u7684 JVM \u90fd\u61c9\u8a72\u555f\u7528\u3002<br>';
StringTable["flex_test_compiletime_header"] 	 = '\u7de8\u8b6f\u6642\u671f\u555f\u7528';
StringTable["flex_test_compiletime_header_ex1"]  = '\u61c9\u7528\u7a0b\u5f0f\u5b58\u5728\u65bc\u7cfb\u7d71\u7684\u672c\u7aef\u76ee\u9304\u4e2d';
StringTable["flex_test_compiletime_info"]		 = '\u4f7f\u7528\u4e0b\u5217\u6b65\u9a5f\uff0c\u5c07\u300c\u6e2c\u8a66\u4e2d\u7684 Flex \u61c9\u7528\u7a0b\u5f0f\u300d\u52a0\u5165 Flash \u4fe1\u4efb\u7684\u76ee\u9304\u4e2d\uff1a'+
							   '<ol>'+
							   '<li type = "i">\u5728 <b><i>C:\\WINDOWS\\system32\\Macromed\\Flash<\/i><\/b> \u4e2d\u5efa\u7acb\u540d\u7a31\u70ba <b>FlashPlayerTrust<\/b> \u7684\u8cc7\u6599\u593e\u3002'+
							   '<li type = "i">\u5728\u4e0a\u8ff0\u5efa\u7acb\u7684 <b>FlashPlayerTrust<\/b> \u8cc7\u6599\u593e\u4e2d\uff0c\u5efa\u7acb\u540d\u7a31\u70ba <b>Flex<\/b> \u4e14\u4e0d\u542b\u4efb\u4f55\u526f\u6a94\u540d\u7684\u6a94\u6848\u3002<\/li>'+
							   '<li type = "i">\u5728\u4e0a\u8ff0\u5efa\u7acb\u7684 <b>Flex<\/b> \u6a94\u4e2d\u8f38\u5165 Flex \u61c9\u7528\u7a0b\u5f0f\u7684\u76ee\u9304\u8def\u5f91\u3002\u4f8b\u5982\uff0c\u5982\u679c Flex \u61c9\u7528\u7a0b\u5f0f\u5728 <b>"C:\\Test"<\/b> \u76ee\u9304\u4e2d\uff0c\u8acb\u5728 <b>Flex<\/b> \u6a94\u4e2d\u8f38\u5165\u8def\u5f91\u70ba <b>C:\\Test<\/b><\/li>'+
							   '<li type = "i">\u5132\u5b58\u6a94\u6848\u3002<\/li>';
StringTable["flex_test_ie_header"]			 	= 'Internet Explorer';
StringTable["flex_test_ie_header_ex1"]			= '\u914d\u7f6e\u7d66\u300c\u57f7\u884c\u6642\u671f\u8f09\u5165\u300d\u6216\u5728\u4f3a\u670d\u5668\u4e0a\u63a7\u7ba1\u7684\u61c9\u7528\u7a0b\u5f0f';
StringTable["flex_test_ie_info"]			 	= '\u4f9d\u4e0b\u5217\u65b9\u5f0f\u914d\u7f6e Internet Explorer\uff1a'+
							   '<ol><b>\u5c07 Flex \u61c9\u7528\u7a0b\u5f0f\u7684 URL \u52a0\u5165\u7576\u5730 Intranet \u5340...<\/b>' +
							   '<ol><li type = "i">\u79fb\u81f3<i><b>\u5de5\u5177 > \u7db2\u969b\u7db2\u8def\u9078\u9805<\/b><\/i><\/li>'+
							   '<li type="i">\u79fb\u81f3<i><b>\u5b89\u5168\u6027<\/b><\/i>\u6a19\u7c64\u3002<\/li>'+
							   '<li type="i">\u9078\u53d6<i><b>\u8fd1\u7aef\u5167\u90e8\u7db2\u8def<\/b><\/i>\u5340\u3002<\/li>'+
							   '<li type="i">\u6309\u4e00\u4e0b<i><b>\u7db2\u7ad9 > \u9032\u968e<\/b><\/i>\u6309\u9215\u3002<\/li>'+
							   '<li type="i">\u5728<i><b>\u5c07\u9019\u500b\u7db2\u7ad9\u65b0\u589e\u5230\u5340\u57df<\/b><\/i>\u6b04\u4f4d\u4e2d\uff0c\u8f38\u5165 Flex \u61c9\u7528\u7a0b\u5f0f\u7684 URL\u3002<\/li>'+
							   '<li type="i">\u6309\u4e00\u4e0b<i><b>\u65b0\u589e<\/b><\/i>\uff0c\u7136\u5f8c\u6309\u4e00\u4e0b<i><b>\u78ba\u5b9a<\/b><\/i>\u3002<\/li><\/ol>'+
							   '<br>'+
							   '<b>\u5141\u8a31 ActiveX \u63a7\u5236\u9805...<\/b>'+
							   '<ol><li type="i">\u9078\u53d6<i><b>\u8fd1\u7aef\u5167\u90e8\u7db2\u8def<\/b><\/i>\u5340<\/li>'+
							   '<li type="i">\u6309\u4e00\u4e0b<i><b>\u81ea\u8a02\u7b49\u7d1a<\/b><\/i>\u3002<\/li>'+
							   '<li type="i">\u5728<i><b>\u91cd\u8a2d\u70ba\uff1a<\/b><\/i>\u4e0b\u62c9\u6e05\u55ae\u4e2d\uff0c\u9078\u53d6<i><b>\u4e2d\u4f4e<\/b><\/i>\u3002<\/li>'+
							   '<li type="i">\u5728<i><b>\u8a2d\u5b9a<\/b><\/i>\u7a97\u683c\u4e2d\uff0c\u5c0d<i><b>\u8d77\u59cb\u4e26 Script \u4e0d\u6a19\u793a\u70ba\u5b89\u5168 Scripting \u7684 ActiveX \u63a7\u5236\u9805<\/b><\/i><\/li>\u9078\u53d6<i><b>\u555f\u7528<\/b><\/i>'+
							   '<li type="i">\u6309\u4e00\u4e0b<i><b>\u78ba\u5b9a<\/b><\/i>\uff0c\u7136\u5f8c\u518d\u6309\u4e00\u4e0b<i><b>\u78ba\u5b9a<\/b><\/i>\u4f86\u5132\u5b58\u5b89\u5168\u8a2d\u5b9a\uff0c\u4e26\u95dc\u9589\u300c\u7db2\u969b\u7db2\u8def\u9078\u9805\u300d\u8996\u7a97<\/li><\/ol>';
StringTable["flex_test_ff_header"]			 	= 'Firefox \u700f\u89bd\u5668';
StringTable["flex_test_ff_header_ex1"] 			= '\u91dd\u5c0d\u7de8\u8b6f\u6642\u671f\u548c\u57f7\u884c\u6642\u671f\u555f\u7528';
StringTable["flex_test_ff_info"]  			 	= '\u4f9d\u4e0b\u5217\u65b9\u5f0f\u914d\u7f6e Firefox\uff1a'+
							   '<ol><li type = "i">\u90e8\u7f72 Java Script \u6a94\u4f86\u555f\u7528\u5c08\u7528\u6b0a\uff1a<b>user.js<\/b> \u548c <b>prefs.js<\/b><\/li>'+
							   '<li type = "i">\u9019\u4e9b\u6a94\u6848\u4f4d\u65bc RFT \u5b89\u88dd\u76ee\u9304\uff08\u4f9d\u9810\u8a2d\uff0c\u6b64\u4f4d\u7f6e\u70ba <b><i>"C:\\Program Files \\IBM\\SDP\\FunctionalTester\\Flex"<\/i><\/b>\uff09\u7684 <b><i>Flex<\/i><\/b> \u8cc7\u6599\u593e\u4e2d\u3002<\/li>'+
							   '<li type = "i">\u5c07\u9019\u4e9b\u6a94\u6848\u8907\u88fd\u5230 <b><\/i>"C:\\Documents and Settings\\&lt;username&gt;\\Application Data\\Mozilla\\Firefox\\Profiles\\zpy0wokq.default"<\/i><\/b> \u76ee\u9304\u3002<\/li><\/ol>'+
							   '<font style="Color : red">\u9644\u8a3b\uff1a\u5728\u4e0d\u540c\u7684\u96fb\u8166\u4e0a\uff0c"zpy0wokq.default" \u540d\u7a31\u53ef\u80fd\u6703\u6709\u6240\u4e0d\u540c\u3002<\/font>';

